
For eg:I have a layer named "wall" on which i want to use fillet to all the polylines associated with the layer at once.The radius of fillet should be 0.25.
I have a lisp routine(Author:Tharwat) that does the thing but I need it in VBA.
Code:
(defun c:Test (/ int sel ent)
(and
(or (/= 4
(logand 4
(cdr (assoc 70 (entget (tblobjname "LAYER" "wall"))))
)
)
(alert "Layer name <wall> is locked ! unlock then try again"
)
)
(setq int -1
sel (ssget "_X"
(list '(0 . "LWPOLYLINE")
'(8 . "wall")
(cons 410 (getvar 'CTAB))
)
)
)
(setvar 'FILLETRAD 0.25)
(while (setq int (1+ int)
ent (ssname sel int)
)
(command "_.FILLET" "_Polyline" ent)
)
)
(princ)
)